> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List webhooks

GET https://api.mailchimp.com/3.0/lists/{list_id}/webhooks

Get information about all webhooks for a specific list.

Reference: https://mailchimp.com/developer/marketing/api/lists/list-webhooks

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `list_id` (string, required) — The unique ID for the list.

## Response

### 200

- `_links` (list of 30ListsListIdWebhooksGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `list_id` (string, optional) — The list id.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.
- `webhooks` (list of ListWebhooks, optional) — An array of objects, each representing a specific list member.

## Types

### 30ListsListIdWebhooksGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ListWebhooks

Webhook configured for the given list.

- `_links` (list of ListWebhooksLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `events` (ListWebhooksEvents, optional) — The events that can trigger the webhook and whether they are enabled.
- `id` (string, optional) — An string that uniquely identifies this webhook.
- `list_id` (string, optional) — The unique id for the list.
- `signing_enabled` (boolean, optional) — Whether outbound deliveries are HMAC-signed.
- `sources` (ListWebhooksSources, optional) — The possible sources of any events that can trigger the webhook and whether they are enabled.
- `url` (string, optional) — A valid URL for the Webhook.

### ListWebhooksLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ListWebhooksEvents

The events that can trigger the webhook and whether they are enabled.

- `campaign` (boolean, optional) — Whether the webhook is triggered when a campaign is sent or cancelled.
- `cleaned` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is cleaned from the list.
- `profile` (boolean, optional) — Whether the webhook is triggered when a contact's profile is updated. This includes email subscribers and SMS-only contacts [BETA].
- `subscribe` (boolean, optional) — Whether the webhook is triggered when a list subscriber is added.
- `unsubscribe` (boolean, optional) — Whether the webhook is triggered when a list member unsubscribes.
- `upemail` (boolean, optional) — Whether the webhook is triggered when a subscriber's email address is changed.
- `sms_subscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact subscribes to SMS.
- `sms_unsubscribe` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact unsubscribes from SMS.
- `upsms` (boolean, optional) — [BETA] Whether the webhook is triggered when a contact's SMS phone number is updated.
- `sms_campaign` (boolean, optional) — [BETA] Whether the webhook is triggered when an SMS campaign is sent.

### ListWebhooksSources

The possible sources of any events that can trigger the webhook and whether they are enabled.

- `admin` (boolean, optional) — Whether the webhook is triggered by admin-initiated actions in the web interface.
- `api` (boolean, optional) — Whether the webhook is triggered by actions initiated via the API.
- `user` (boolean, optional) — Whether the webhook is triggered by subscriber-initiated actions.

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "list_id": "string",
  "total_items": 1,
  "webhooks": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "events": {
        "campaign": true,
        "cleaned": true,
        "profile": true,
        "subscribe": true,
        "unsubscribe": true,
        "upemail": true,
        "sms_subscribe": true,
        "sms_unsubscribe": true,
        "upsms": true,
        "sms_campaign": true
      },
      "id": "5d9a5e3f7b",
      "list_id": "4ca5becb8d",
      "signing_enabled": true,
      "sources": {
        "admin": true,
        "api": true,
        "user": true
      },
      "url": "http://yourdomain.com/webhook"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/lists/list_id/webhooks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/lists/list_id/webhooks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/lists/list_id/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/lists/list_id/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/lists/list_id/webhooks")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/lists/list_id/webhooks', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id/webhooks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```